---
kind: pipeline
type: docker
name: homolog

trigger:
  branch:
    - main

steps:
  - name: deploy to homolog
    image: appleboy/drone-scp
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      source: .
      target: /home/app_fatura_homolog
      rm: true

  - name: restart homolog container
    image: appleboy/drone-ssh
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      script:
        - docker rm -f FaturasHomolog || true
        - cd /home/app_fatura_homolog
        - docker compose up -d

---
kind: pipeline
type: docker
name: production

trigger:
  branch:
    - production

steps:
  - name: deploy to production
    image: appleboy/drone-scp
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      source: .
      target: /home/app_fatura
      rm: true

  - name: restart production container
    image: appleboy/drone-ssh
    settings:
      host: 216.22.5.141
      username: root
      password: F6tC5tCh29XQRpzp
      port: 22
      script:
        - docker rm -f Faturas || true
        - cd /home/app_fatura
        - docker compose up -d

